Miki Tebeka avatar Miki Tebeka committed 1c32bb1

Pushing to github

Comments (0)

Files changed (3)

 digest-*.jar
 lib
 pom.xml
+.lein-*

push-to-clojars.sh

+#!/bin/bash
+# Push to clojars
+
+set -x
+set -e
+
+if [ ! -f project.clj ]; then
+    echo "error: can't find project.clj" 1>&2
+    exit 1
+fi
+
+project=$(grep defproject project.clj | awk '{print $2}')
+version=$(egrep -o "[0-9]+\.[0-9]+\.[0-9]+(-SNAPSHOT)?" project.clj  | head -1)
+jar=$project-${version}.jar
+
+if [ -f $jar ]; then
+    rm $jar
+fi
+lein jar
+lein pom
+scp pom.xml $jar clojars@clojars.org:
+rm pom.xml $jar
 #!/bin/bash
-# Push to clojars
+# Push both to bitbucket and github
 
-set -x
-set -e
-
-if [ ! -f project.clj ]; then
-    echo "error: can't find project.clj" 1>&2
-    exit 1
-fi
-
-project=$(grep defproject project.clj | awk '{print $2}')
-version=$(egrep -o "[0-9]+\.[0-9]+\.[0-9]+(-SNAPSHOT)?" project.clj  | head -1)
-jar=$project-${version}.jar
-
-if [ -f $jar ]; then
-    rm $jar
-fi
-lein jar
-lein pom
-scp pom.xml $jar clojars@clojars.org:
-rm pom.xml $jar
+hg push
+hg push git+ssh://git@github.com/tebeka/clj-digest.git
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.